RECONSTRUCT(8)

NAME
reconstruct - reconstruct mailboxes

SYNOPSIS
reconstruct [ -r ] mailbox...
reconstruct -m

DESCRIPTION
Reconstruct rebuilds one or more IMAP mailboxes. When invoked with the -m switch, it rebuilds the master mailboxes file. It can be used to recover from almost any sort of data corruption.

If Reconstruct can find existing header and index files, it attempts to preserve any data in them that is not derivable from the message files themselves. The state reconstruct attempts to preserve includes the flag names, flag state, and internaldate. Reconstruct derives all other information from the message files.

Reconstruct reads its configuration options out of the imapd.conf(5) file. Any mailbox directory underneath the path specified in the partition-news configuration option is assumed to be in news format.

Reconstruct does not adjust the quota usage recorded in any quota root files. After running reconstruct, it is advisable to run quota(8) with the -f switch in order to fix the quota root files.

OPTIONS

-r  Recursively reconstruct all sub-mailboxes of the mailboxes or mailbox prefixes given as arguments.

-m  Rebuild the mailboxes file. Use whatever data in the existing mailboxes file it can scavenge, then scans all partitions listed in the imapd.conf(5) file for additional mailboxes.

FILES

/etc/imapd.conf